type: object
properties:
  name:
    type: string
    description: Name of the dimension item. Cannot be blank or contain leading/trailing whitespace. If not provided or null, the name will not be updated.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "Marketing Department"
  value:
    type: [string, "null"]
    deprecated: true
    description: Code of the dimension item. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "MKT001"
  code:
    type: [ string, "null" ]
    description: Code of the dimension item. Cannot be blank or contain leading/trailing whitespace.
    minLength: 1
    pattern: '^\S(.*\S)?$'
    x-pattern-message: 'must not be blank or contain leading/trailing whitespace'
    example: "MKT001"
  status:
    description: Status of the dimension item. If not provided or null, the status will not be updated.
    $ref: './DimensionItemStatus.yaml'
required: [name, status]
